Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
Class AntBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.util.AntBuilder
                  org.gradle.api.AntBuilder

All Implemented Interfaces:
  GroovyObject

    public abstract class AntBuilder

extends AntBuilder

An `AntBuilder` allows you to use Ant from your build script.

Constructor Summary
`AntBuilder()`

Method Summary
`abstract Map<String,Object>` | `getProperties()` Returns the properties of the Ant project.
`abstract Map<String,Object>` | `getReferences()` Returns the references of the Ant project.
`abstract void` | `importBuild(Object antBuildFile)` Imports an Ant build into the associated Gradle project.

Methods inherited from class groovy.util.AntBuilder
`buildAttributes, createNode, createNode, createNode, createNode, createProject, doInvokeMethod, getAntProject, getAntXmlContext, getProject, nodeCompleted, setParent, setText`

Methods inherited from class groovy.util.BuilderSupport
`getCurrent, getName, invokeMethod, invokeMethod, postNodeCompletion, setClosureDelegate, setCurrent`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntBuilder

    public AntBuilder()

Method Detail

### getProperties

    public abstract Map<String,Object> getProperties()

  Returns the properties of the Ant project. This is a live map, you that you can make changes to the map and these changes are reflected in the Ant project.

  Returns:
    The properties. Never returns null.

### getReferences

    public abstract Map<String,Object> getReferences()

  Returns the references of the Ant project. This is a live map, you that you can make changes to the map and these changes are reflected in the Ant project.

  Returns:
    The references. Never returns null.

### importBuild

    public abstract void importBuild(Object antBuildFile)

  Imports an Ant build into the associated Gradle project.

  Parameters:
    `antBuildFile` - The build file. This is resolved as per `Project.file(Object)`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD